Retail Express API 2.1

Creates Supplier Return

Sample request:

 POST /supplierreturns
 {
     "supplier":{
         "id": 1
     },
     "outlet":{
         "id": 1
     },
     "supplier_address":{
         "address_line1": "address",
         "suburb": "suburb",
         "state": "state",
         "postcode": "postcode",
         "country":{
             "id": 1,
             "name": "country_name"
         }
     },
     "notes": "notes",
     "return_authorisation": "return authorisation",
     "include_tax": false,
     "supplier_return_status":{
         "id": 1
     }
 }
post
https://api.retailexpress.com.au/v2/supplierreturns

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Return model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Return created

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject

Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int32)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
post/supplierreturns

Body

{}
 
application/json

Gets specific Supplier Return by unique id

Gets specific Supplier Return by unique id

get
https://api.retailexpress.com.au/v2/supplierreturns/{id}

Path Parameters

idinteger(int32)required

Supplier Return id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Supplier Return

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject

Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int32)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
get/supplierreturns/{id}
 
application/json

Updates Supplier Return

Sample request:

PUT /supplierreturns
{
    "supplier":{
        "id": 1
    },
    "outlet":{
        "id": 1
    },
    "supplier_address":{
        "address_line1": "address",
        "suburb": "suburb",
        "state": "state",
        "postcode": "postcode",
        "country":{
            "id": 1,
            "name": "country_name"
        }
    },
    "notes": "notes",
    "return_authorisation": "return authorisation",
    "include_tax": false,
    "supplier_return_status":{
        "id": 1
    }
}
put
https://api.retailexpress.com.au/v2/supplierreturns/{id}

Path Parameters

idinteger(int32)required

Supplier Return id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Return model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Supplier Return

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject

Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int32)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
put/supplierreturns/{id}

Body

{}
 
application/json

Searches Supplier Return Items by Supplier Return id and other parameters

Searches Supplier Return Items by Supplier Return id and other parameters

get
https://api.retailexpress.com.au/v2/supplierreturns/{id}/supplierreturnitems

Query Parameters

idsstring | null

Supplier Return Items ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4

supplier_return_reason_idsstring | null

Supplier Return reason ids.
Example: 2,3,4

supplier_return_item_status_idsstring | null

Supplier Return Item status ids.
Example: 2,3,4

supplier_return_item_source_idsstring | null

Supplier Return Item source ids.
Example: 2,3,4

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

selectstring | null

Select fields.

Available field name values: id

Example: id

order_bystring | null

Order by.

Available field name values: id, product_id, size, colour, supplier_sku, manufacturer_sku, supplier_sku2, short_description, supplier_return_reason, return_quantity, original_buy_ex, total_original_buy_ex, supplier_return_item_status, supplier_return_item_source, original_supplier_invoice, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, claim_amount_ex, credit_note_id, credit_note_item_id, credit_amount_ex, supplier_return_item_notes, total_credit_amount_ex, total_credit_amount_inc, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.

Available direction values: asc, desc.

Example: id asc, product_id desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Supplier Return id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Supplier Return Items data

SupplierReturnItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier Return Item

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/supplierreturns/{id}/supplierreturnitems
 
application/json

Creates Supplier Return Item

Sample request:

 POST ​/supplierreturn​/1/supplierreturnitems
 {
     "product": {
         "id": 1
     },
     "supplier_return_reason": {
         "id": 1
     },
     "return_quantity": 1,
     "original_buy_ex": 1.1,
     "claim_amount_ex": 1.1,
     "supplier_return_item_source": {
          "id": 1
     },
     "original_supplier_invoice": "original supplier invoice",
     "supplier_return_item_notes": "notes"
 }
post
https://api.retailexpress.com.au/v2/supplierreturns/{id}/supplierreturnitems

Path Parameters

idinteger(int32)required

Supplier Return id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Return Item to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Return Item was created

SupplierReturnItem

Supplier Return Item

* Additional properties are NOT allowed.
idinteger(int32)

Supplier Return Item identifier

supplier_return_idinteger(int32)

Supplier Return id

productobject

Supplier Return Item Product Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_reasonobject

Supplier Return Reason model

* Additional properties are NOT allowed.
Show Child Parameters
credit_note_itemobject

Supplier Return Item Credit Note Item Model

* Additional properties are NOT allowed.
Show Child Parameters
return_quantityinteger | null(int32)

Return Quantity

original_buy_exnumber | null(double)

Supplier price ex

total_original_buy_exnumber | null(double)

Total supplier buy ex

supplier_return_item_statusobject

Supplier Return Item Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_item_sourceobject

Supplier Return Item Product Model

* Additional properties are NOT allowed.
Show Child Parameters
original_supplier_invoicestring | null

Supplier invoice number

claim_amount_exnumber | null(double)

Claim amount ex

supplier_return_item_notesstring | null

Notes

total_claim_amount_exnumber | null(double)

Total claim amount ex

total_claim_amount_taxnumber | null(double)

Total claim amount tax

total_claim_amount_incnumber | null(double)

Total claim amount inc

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

created_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject

User Model

* Additional properties are NOT allowed.
Show Child Parameters
post/supplierreturns/{id}/supplierreturnitems

Body

{}
 
application/json